/**
 * gc.h
 *
 * by YOSHIDA Kazuhiro (moriq.kazuhiro@nifty.ne.jp)
 */

VALUE cXlib_gc;

typedef struct st_gc {
	struct st_gc *prev;
	struct st_gc *next;
	Display *xdisplay;
	Window xwindow;
	GC xgc;
} t_gc;

#define GetGC(obj, gcp) {\
	Data_Get_Struct(obj, t_gc, gcp);\
	if (gcp->xgc == 0) xlib_no_gc();\
}

void xlib_no_gc();
void xlib_init_gc();
