require 'mkmf'

$CFLAGS = "-Wall -I.. -I/usr/X11R6/include -I/usr/local/include"
$LDFLAGS = "-L/usr/X11R6/lib -L/usr/local/lib"

have_header("X11/Xlib.h")
have_header("X11/Xutil.h")
have_library("X11", "XOpenDisplay")

# have_header("X11/extensions/shape.h") and
# have_library("Xext", "XShapeCombineMask")

have_header("jpeglib.h")
have_library("jpeg", "jpeg_destroy_decompress")

have_header("png.h")
have_library("png", "png_read_info")

have_header("tiff.h")
have_library("tiff", "TIFFWriteScanline")

have_header("zlib.h")
have_library("z")

have_header("gif_lib.h")
have_library("gif", "DGifOpenFileName")

have_header("math.h")
have_library("m")

if have_header("Imlib.h") && have_library("Imlib", "Imlib_init")
  create_makefile("imlib")
end
