/*
 * init.c
 *
 * by YOSHIDA Kazuhiro (moriq.kazuhiro@nifty.ne.jp)
 */

#include "ruby.h"
#include "init.h"
#include "data.h"
#include "image.h"
#include "color.h"
#include "modifier.h"
#include "border.h"

static VALUE
im_init(obj, display)
{
	return im_data_new(cImlib_data, display);
}

void
Init_imlib()
{
	mImlib = rb_define_module("Imlib");
	rb_define_module_function(mImlib, "init", im_init, 1);
	im_init_data();
	im_init_image();
	im_init_color();
	im_init_modifier();
	im_init_border();
}
