/**
 * init.h
 *
 * by YOSHIDA Kazuhiro (moriq.kazuhiro@nifty.ne.jp)
 */

#ifndef HAVE_IMLIB_H
#define HAVE_IMLIB_H
#endif

#include <Imlib.h>

#define DefIntern(str) static ID id_##str;
#define SetIntern(str) id_##str = rb_intern(#str);
#define DefineSingletonMethod(class, method, argc) rb_define_singleton_method(cImlib_##class, #method, im_##class##_##method, argc);
#define DefineMethod(class, method, argc) rb_define_method(cImlib_##class, #method, im_##class##_##method, argc);
#define DefineMethodGet(class, method) rb_define_method(cImlib_##class, #method, im_##class##_get_##method, 0);
#define DefineMethodIs(class, method) rb_define_method(cImlib_##class, #method "?", im_##class##_is_##method, 0);
#define DefineMethodSet(class, method) rb_define_method(cImlib_##class, #method "=", im_##class##_set_##method, 1);

VALUE mImlib;
ID id_init;
ID id_call;

void Init_imlib();
