#!/usr/local/bin/ruby
require 'xlib'
include Math

$n=16

dis = Xlib::Display.new
win = dis.root.new_window(258,258)
win.title=$0

def win.init
  @gc = new_gc
  color = Xlib::Color.new(0xE0A080)
  @gc.fg = display.alloc_color(color)
  @x = []
  @y = []
  for i in 0..($n-1)
    @x[i] = 128.0*cos(2.0*PI*i/$n)+128
    @y[i] = 128.0*sin(2.0*PI*i/$n)+128
    p [@x[i],@y[i]]
  end
end
win.init

def win.exposed(event)
  return if event.count != 0
  print "(exposed)\n"
  for i in 0..($n-1)
    for j in (i+1)..($n-1)
      @gc.draw_line @x[i],@y[i], @x[j],@y[j]
    end
  end
# display.flush
end

win.show
dis.flush
while dis.event; end
print "(quit)\n"
