#!/usr/local/bin/ruby
require 'xlib'
include  Xlib

dis = Display.new
$white = dis.alloc_color 'white'
$black = dis.alloc_color 'black'

win = Window.new dis.root, 320,200
win.pixel = $white
win.show

def win.init
  @gc = new_gc
  @gc.fg = $black
  @x = 0
  @y = 16
  @linestr = ""
  edit = Rect.new 0,height-14*2, width,14
  stat = Rect.new 0,height-14  , width,14
  begin
    InputMethod.new self, false, edit, stat
  rescue
    p $!
  end
end

win.init
dis.flush

def win.key_press(ev)
    p ev
  if ev.string
    @linestr << ev.string
  else
    case ev.keysym
    when 32..255
      @linestr << ev.keysym.chr
    when 65293 # "\n"
      @y += 16
      @linestr = ""
    when 65505..65508; # L-Shift, R-Shift, L-Ctrl, R-Ctrl
    else
      p ev
    end
  end
  @gc.draw_str @linestr, @x,@y
end

def win.exposed(c)
  clear
  @gc.draw_str @linestr, @x,@y
end

def win.delete
  exit
end

while dis.event; end
