require 'kconv'
require 'socket'
require 'misc'

class Loader
  PORT = 80
  SEP = "\r\n"

  def save(url, body)
    /([^\/]*)(.*)/ =~ url
    serv, file = $1, $2
    file = "/" if file == ""

    body = Kconv.toeuc(body).sub(/\r\n/, "\n").tr("\cM", "")
    dirname, filename = File.split(file)
    ofile = if file == "/" then "index.html" else filename end
    dirs = dirname.split("/")
    dirs[0] = serv
    dirs.each { |dir|
      if dir[0] == ?~
         dir[0] =  ?_
      end

      if FileTest.exist?(dir)
      else
        Dir.mkdir dir
      end
      Dir.chdir dir
      print "cd #{dir}\n"
    }

    f = open ofile, 'w'
    f.print body
    f.close
    $stderr.print "save #{ofile}\n"

    body
  end

  def load(url)
print "load ...\n"
    body, cache_p = get_web_body_with_cache(url)
    if cache_p
    else
      save url, body
    end
print "load done.\n"
    body
  end
end

