require 'xlib'

$display = Xlib::Display.new
$white = $display.alloc_color 'white'
$root = $display.root.new_window 320,240
$root.pixel = $white
$root.show

$args = [1,"foo","bar","baz",2001]

class Object
  attr :win
  def to_v
    @win = $root.new_window inspect.size*7+8,20
    @win.pixel = $white
    @win.show
    @gc = @win.new_gc
    @gc.fg = $display.alloc_color 'red'
    exposed

    @win.event 'button_press' do |time,x,y,button|
      case button
      when 1
        @drag = true
        @dx = x
        @dy = y
      when 3
        @win.lower
      end
    end

    @win.event 'button_release' do |time,x,y,button|
      case button
      when 1
        @drag = false
        begin
          i = $args.shift
          push i
          @win.width = inspect.size*7+8
          exposed
        rescue
        end
      end
    end

    @win.event 'motion_notify' do |time,x,y,is_hint|
      if @drag
        @win.x += x-@dx
        @win.y += y-@dy
      end
    end

    @win.event 'exposed' do
      exposed
    end

  end

  def exposed
    @gc.draw_str self.inspect, 4,16
  end

end

s = '䤢'
s.to_v

a = [1,2,3]
a.to_v

$root.event 'exposed' do [s,a].each { |i| i.win.exposed } end
$root.event 'delete' do exit end

while $display.event; end
