/**
 * window.h
 *
 * by YOSHIDA Kazuhiro (moriq.kazuhiro@nifty.ne.jp)
 */

VALUE cXlib_window;
VALUE cXlib_pixmap;

typedef struct st_window {
	struct st_window *prev;
	struct st_window *next;
	Display *xdisplay;
	Window xparent;
	Window xwindow;
	XIC ic;
#ifdef HAVE_IMLIB_H
	t_data *idp;
#endif
} t_window;

#define GetWindow(obj, winp) {\
	Data_Get_Struct(obj, t_window, winp);\
	if (winp->xwindow == 0) xlib_no_window();\
}

void xlib_no_window();
void xlib_init_window();

VALUE xlib_pixmap_setup(VALUE, Pixmap, int, int);
void xlib_init_pixmap();
