/**
 * attr.h
 *
 * by YOSHIDA Kazuhiro (moriq.kazuhiro@nifty.ne.jp)
 */

#define DefineNumericAttr(class, attr) \
static VALUE \
xlib_##class##_get_##attr(obj)\
	VALUE obj;\
{\
t_##class *p;\
	Data_Get_Struct(obj, t_##class, p);\
	return INT2NUM(p->attr);\
}\
\
static VALUE \
xlib_##class##_set_##attr(obj, arg)\
	VALUE obj, arg;\
{\
	t_##class *p;\
	Data_Get_Struct(obj, t_##class, p);\
	p->attr = NUM2INT(arg);\
	return arg;\
}

#define SetupAttr(class, attr) {\
	rb_define_method(cXlib_##class, #attr, xlib_##class##_get_##attr, 0);\
	rb_define_method(cXlib_##class, #attr "=", xlib_##class##_set_##attr, 1);\
}

