#!/usr/local/bin/ruby
require 'xlib'
require 'xlib/cursor'

dis = Xlib::Display.new
win = dis.root.new_window 160,100
win.title = $0
win.show
dis.flush

thr = Thread.new {
  Xlib::Cursor::NAME2ID.sort.each { |name, id|
    print "#{name} #{id}\n"
    win.cursor = Xlib::Cursor.new_from_shape(dis, id)
    dis.flush
    sleep 3
  }
}

while dis.event; end
