/**
 * display.h
 *
 * by YOSHIDA Kazuhiro (moriq.kazuhiro@nifty.ne.jp)
 */

#define DEFAULT_XFONT "\
-adobe-helvetica-medium-r-normal--14-*-*-*-c-*-iso8859-1,\
-misc-fixed-medium-r-normal--14-*-*-*-c-*-jisx0208.1983-0\
"
#define DEFAULT_NFONT 2

VALUE cXlib_display;

#include "visual.h"

typedef struct {
	struct st_window *window_list_head;
	struct st_window *window_list_tail;
	struct st_gc *gc_list_head;
	struct st_gc *gc_list_tail;
	struct st_font *font_list_head;
	struct st_font *font_list_tail;
	Display *xdisplay;
	XIM im;
	Atom proto;
#ifdef HAVE_IMLIB_H
	t_data *idp;
#endif
	t_visual *visual;
} t_display;

#define GetDisplay(obj, disp) {\
	Data_Get_Struct(obj, t_display, disp);\
	if (!disp->xdisplay) xlib_no_display();\
}

void xlib_no_display();
void xlib_free_ic(XIC);
void xlib_init_display();
