/**
 * font.h
 *
 * by YOSHIDA Kazuhiro (moriq.kazuhiro@nifty.ne.jp)
 */

VALUE cXlib_font;

typedef struct st_font {
	struct st_font *prev;
	struct st_font *next;
	Display *xdisplay;
	XFontSet xfont;
	int nfont;
} t_font;

#define GetFont(obj, fonp) {\
	Data_Get_Struct(obj, t_font, fonp);\
	if (fonp->xfont == 0) xlib_no_font();\
}

void xlib_no_font();
XFontSet xlib_font_load(Display *, char *);
void xlib_init_font();
