/**
 * icon.c
 *
 * by YOSHIDA Kazuhiro (moriq.kazuhiro@nifty.ne.jp)
 */

#include "ruby.h"
#include "init.h"

#include "display.h"
#include "window.h"
#include "icon.h"

static VALUE
xlib_icon_new(class, pixmap, mask, name)
	VALUE class, pixmap, mask, name;
{
	VALUE obj;

	obj = rb_obj_alloc(class);
	rb_iv_set(obj, "pixmap", pixmap);
	rb_iv_set(obj, "mask", mask);
	rb_iv_set(obj, "name", name);

	return obj;
}

void
xlib_init_icon()
{
	cXlib_icon = rb_define_class_under(mXlib, "Icon", rb_cObject);
	rb_define_singleton_method(cXlib_icon, "new", xlib_icon_new, 3);
	rb_define_attr(cXlib_icon, "pixmap", 1, 1);
	rb_define_attr(cXlib_icon, "mask", 1, 1);
	rb_define_attr(cXlib_icon, "name", 1, 1);
}
