/*
 * data.h
 *
 * by YOSHIDA Kazuhiro (moriq.kazuhiro@nifty.ne.jp)
 */

VALUE cImlib_data;

typedef struct st_data {
	ImlibData *id;
	struct st_window *pixmap_list_head;
	struct st_window *pixmap_list_tail;
	struct st_image *im_list_head;
	struct st_image *im_list_tail;
} t_data;

#define GetData(obj, idp) {\
    Data_Get_Struct(obj, t_data, idp);\
    if (idp->id == NULL) im_no_data();\
}

void im_no_data();
void im_free_data(t_data *idp);
VALUE im_data_new(VALUE class, VALUE display);
void im_init_data();
