#!/usr/local/bin/ruby
require 'xlib'
require 'imlib'

def usage
  print "usage: #$0 image_file\n"
  exit
end
image_file = ARGV.shift or usage
dis = Xlib::Display.new

id = Imlib::init dis

image = id.load_image image_file
w, h = image.width, image.height

win = Xlib::Window.new dis.root, w,h, nil,true, id.visual
win.pixel = dis.alloc_color 'black'
win.title = image_file

image.apply win

win.show
dis.sync

win.event 'configure' do |ev|
  image.apply win
  dis.sync
end

while dis.event; end
