/*
 * time_coord.c
 */

#include "ruby.h"
#include "init.h"

#include "display.h"
#include "time_coord.h"

static VALUE sXlib_TimeCoord;

VALUE
xlib_time_coord_setup(x)
	XTimeCoord *x;
{
	return rb_struct_new(sXlib_TimeCoord,
		INT2NUM(x->time),
		INT2FIX(x->x),
		INT2FIX(x->y),
		0 );
}

void
xlib_init_time_coord()
{
	sXlib_TimeCoord = rb_struct_define("TimeCoord",
		"time",
		"x",
		"y",
		0 );

	rb_global_variable(&sXlib_TimeCoord);
}
