#!/usr/local/bin/ruby
# creeper.rb
# @origin  linc.rb
# @author  Kazuhiro Yoshida (moriq.kazuhiro@nifty.ne.jp)
# @version 0.15  1999.12.6
# @code    euc

require 'web'

url = ARGV.shift || "http://localhost/"
base = get_base(url)
body, cache_p = get_web_body_with_cache(url)
print "ok.\n"

body.scan(/<(\w+)\s+href="(.*?)".*?>/i) { |note, href|
  note.downcase!
  
  if note == "base"
    base = href
  end
  href = base_href_expand(base, href)
  
  creep(note, href)
}
