#!/usr/local/bin/ruby
port = 80
url = ARGV.shift
/([^\/]*)(.*)/ =~ url
server, file = $1, $2
file = "/" if file == ""

require "socket"
sock = TCPsocket.open(server, port)
sock.print "GET #{file} HTTP/1.0\r\nAccept:*/*\r\n\r\n"
head = sock.gets("\r\n\r\n")
len = if /^Content-length:\s*(\S+)/i =~ head
  $1.to_i
else
  nil
end
body = if len
  sock.read(len)
else
  sock.read
end
sock.close

print head

ofile = if file == "/"
  "index.html"
else
  File.basename(file)
end

f = open(ofile, "w")
f.print body
f.close
$stderr.print "save #{ofile}.\n"

