class TimeoutError < Exception; end
def timeout(sec, msg="timeout error")
  begin
    x = Thread.current
    y = Thread.new {
      sleep sec
      x.raise TimeoutError, msg if x.alive?
    }
    yield
  ensure
    Thread.kill y if y.alive?
  end
end
